- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeObjectFactory Class Reference
[Ipe Management]

Factory for Ipe leaf objects. More...

List of all members.

## Static Public Member Functions

- static IpeObject * CreateObject (IpeRepository *rep, IpeString name, const IpeXmlAttributes &attr, IpeString data)
- static IpeObject * CreateImage (IpeRepository *rep, IpeString name, const IpeXmlAttributes &attr, IpeBitmap bitmap)

## Detailed Description

Factory for Ipe leaf objects.

## Member Function Documentation

IpeObject * IpeObjectFactory::CreateObject | ( | IpeRepository * | rep,
|  | IpeString | name,
|  | const IpeXmlAttributes & | attr,
|  | IpeString | data |
| ) |  |  | `[static]`

Create an Ipe object by calling the right constructor.

IpeObject * IpeObjectFactory::CreateImage | ( | IpeRepository * | rep,
|  | IpeString | name,
|  | const IpeXmlAttributes & | attr,
|  | IpeBitmap | bitmap |
| ) |  |  | `[static]`

Create an IpeImage with a given bitmap.

The documentation for this class was generated from the following files:

- ipefactory.h
- ipefactory.cpp